Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229040 - puzzling error message from restorecon
Summary: puzzling error message from restorecon
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 17:55 UTC by Ulrich Drepper
Modified: 2008-01-21 15:42 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-21 15:42:54 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2007-02-16 17:55:25 UTC
Description of problem:
When restorecon is run to change the permissions in a directory which does not
exist it emits a puzzling error messageL

restorecon:  error while labeling files under /some/nonexisting/dir

Version-Release number of selected component (if applicable):
1.34.1-4.fc6

How reproducible:
always

Steps to Reproduce:
1.run restorecon -R -v /some/nonexisting/dir
2.
3.
  
Actual results:
restorecon:  error while labeling files under /some/nonexisting/dir


Expected results:
restorecon:  /some/nonexisting/dir: no such file or directory

Or something to that extend.


Additional info:

Comment 1 Daniel Walsh 2007-03-22 21:36:20 UTC
Fixed in policycoreutils-1.34.1-5


Note You need to log in before you can comment on or make changes to this bug.